---
title: "FreeBSD 11.2-RELEASE Release Notes"
sidenav: download
---

include::shared/en/urls.adoc[]

= FreeBSD 11.2-RELEASE Release Notes

== Abstract

The release notes for FreeBSD 11.2-RELEASE contain a summary of the changes made to the FreeBSD base system on the 11.2-STABLE development line. This document lists applicable security advisories that were issued since the last release, as well as significant changes to the FreeBSD kernel and userland. Some brief remarks on upgrading are also presented.

== Table of Contents

* <<intro,Introduction>>
* <<upgrade,Upgrading from Previous Releases of FreeBSD>>
* <<security-errata,Security and Errata>>
** <<security,Security Advisories>>
** <<errata,Errata Notices>>
* <<userland,Userland>>
** <<userland-programs,Userland Application Changes>>
** <<userland-contrib,Contributed Software>>
** <<userland-installer,Installation and Configuration Tools>>
* <<kernel,Kernel>>
** <<kernel-general,General Kernel Changes>>
** <<kernel-bugfix,Kernel Bug Fixes>>
** <<kernel-config,Kernel Configuration>>
** <<kernel-sysctl,System Tuning and Controls>>
* <<drivers,Devices and Drivers>>
** <<drivers-device,Device Drivers>>
* <<hardware,Hardware Support>>
** <<hardware-virtualization,Virtualization Support>>
* <<storage,Storage>>
** <<storage-geom,`geom(4)`>>
* <<boot,Boot Loader Changes>>
** <<boot-loader,Boot Loader Changes>>
* <<network,Networking>>
** <<network-general,General Network Changes>>
* <<ports,Ports Collection and Package Infrastructure>>
** <<ports-packages,Packaging Changes>>
* <<releng,Release Engineering and Integration>>
** <<releng-changes,Integration Changes>>

[[intro]]
== Introduction

This document contains the release notes for FreeBSD 11.2-RELEASE. It describes recently added, changed, or deleted features of FreeBSD. It also provides some notes on upgrading from previous versions of FreeBSD.

This distribution of FreeBSD 11.2-RELEASE is a release distribution. It can be found at `https://www.FreeBSD.org/releases/` or any of its mirrors. More information on obtaining this (or other) release distributions of FreeBSD can be found in the link:{handbook}#mirrors[Obtaining FreeBSD' appendix] to the link:{handbook}[FreeBSD Handbook].

All users are encouraged to consult the release errata before installing FreeBSD. The errata document is updated with "late-breaking" information discovered late in the release cycle or after the release. Typically, it contains information on known bugs, security advisories, and corrections to documentation. An up-to-date copy of the errata for FreeBSD 11.2-RELEASE can be found on the FreeBSD Web site.

This document describes the most user-visible new or changed features in FreeBSD since 11.1-RELEASE. In general, changes described here are unique to the 11.2-STABLE branch unless specifically marked as MERGED features.

Typical release note items document recent security advisories issued after 11.1-RELEASE, new drivers or hardware support, new commands or options, major bug fixes, or contributed software upgrades. They may also list changes to major ports/packages or release engineering practices. Clearly the release notes cannot list every single change made to FreeBSD between releases; this document focuses primarily on security advisories, user-visible changes, and major architectural improvements.

[[upgrade]]
== Upgrading from Previous Releases of FreeBSD

[amd64,i386] Binary upgrades between RELEASE versions (and snapshots of the various security branches) are supported using the https://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=freebsd-release-ports[freebsd-update(8)] utility. The binary upgrade procedure will update unmodified userland utilities, as well as unmodified GENERIC kernels distributed as a part of an official FreeBSD release. The https://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=freebsd-release-ports[freebsd-update(8)] utility requires that the host being upgraded have Internet connectivity.

Source-based upgrades (those based on recompiling the FreeBSD base system from source code) from previous versions are supported, according to the instructions in `/usr/src/UPDATING`.

[.important]
*Important*:
Upgrading FreeBSD should only be attempted after backing up _all_ data and configuration files.

[[security-errata]]
== Security and Errata

This section lists the various Security Advisories and Errata Notices since 11.1-RELEASE.

[[security]]
== Security Advisories

[width="100%",cols="40%,30%,30%",options="header",]
|===
|Advisory |Date |Topic
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-17:06.openssh.asc[FreeBSD-SA-17:06.openssh] |10 August 2017 |Denial of Service vulnerability
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-17:07.wpa.asc[FreeBSD-SA-17:07.wpa] |16 October 2017 |WPA2 protocol vulnerability
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-17:08.ptrace.asc[FreeBSD-SA-17:08.ptrace] |15 November 2017 |Kernel data leak via `ptrace(PT_LWPINFO)`
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-17:10.kldstat.asc[FreeBSD-SA-17:10.kldstat] |15 November 2017 |Information leak
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-17:11.openssl.asc[FreeBSD-SA-17:11.openssl] |29 November 2017 |Multiple vulnerabilities
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-17:12.openssl.asc[FreeBSD-SA-17:12.openssl] |09 December 2017 |Multiple vulnerabilities
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:01.ipsec.asc[FreeBSD-SA-18:01.ipsec] |07 March 2018 |Fix IPSEC validation and use-after-free
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:02.ntp.asc[FreeBSD-SA-18:02.ntp] |07 March 2018 |Multiple vulnerabilities
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:03.speculative_execution.asc[FreeBSD-SA-18:03.speculative_execution] |14 March 2018 a|
Speculative Execution Vulnerabilities
[.note]
*Note*:
This advisory addresses the most significant issues for FreeBSD 11.x on amd64 CPUs. We expect to update this advisory to include i386 and other CPUs.
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:04.vt.asc[FreeBSD-SA-18:04.vt] |04 April 2018 |Fix https://www.FreeBSD.org/cgi/man.cgi?query=vt&sektion=4&manpath=freebsd-release-ports[vt(4)] console memory disclosure
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:05.ipsec.asc[FreeBSD-SA-18:05.ipsec] |04 April 2018 |Fix denial of service
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:06.debugreg.asc[FreeBSD-SA-18:06.debugreg] |08 May 2018 |Mishandling of x86 debug exceptions
|https://www.FreeBSD.org/security/advisories/FreeBSD-SA-18:07.lazyfpu.asc[FreeBSD-SA-18:07.lazyfpu] |21 June 2018 |Fix Lazy FPU information disclosure
|===

[[errata]]
== Errata Notices

[width="100%",cols="40%,30%,30%",options="header",]
|===
|Errata |Date |Topic
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-17:07.vnet.asc[FreeBSD-EN-17:07.vnet] |10 August 2017 |VNET kernel panic with asynchronous I/O
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-17:08.pf.asc[FreeBSD-EN-17:08.pf] |10 August 2017 |https://www.FreeBSD.org/cgi/man.cgi?query=pf&sektion=4&manpath=freebsd-release-ports[pf(4)] housekeeping thread causes kernel panic
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-17:09.tzdata.asc[FreeBSD-EN-17:09.tzdata] |2 November 2017 |Timezone database information update
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-18:01.tzdata.asc[FreeBSD-EN-18:01.tzdata] |07 March 2018 |Timezone database information update
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-18:02.file.asc[FreeBSD-EN-18:02.file] |07 March 2018 |Stack-based buffer overflow
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-18:03.tzdata.asc[FreeBSD-EN-18:03.tzdata] |04 April 2018 |Update timezone database information
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-18:04.mem.asc[FreeBSD-EN-18:04.mem] |04 April 2018 |Multiple small kernel memory disclosures
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-18:05.mem.asc[FreeBSD-EN-18:05.mem] |08 May 2018 |Multiple small kernel memory disclosures
|https://www.FreeBSD.org/security/advisories/FreeBSD-EN-18:06.tzdata.asc[FreeBSD-EN-18:06.tzdata] |08 May 2018 |Update timezone database information
|===

[[userland]]
== Userland

This section covers changes and additions to userland applications, contributed software, and system utilities.

[[userland-programs]]
== Userland Application Changes

The https://www.FreeBSD.org/cgi/man.cgi?query=ln&sektion=1&manpath=freebsd-release-ports[ln(1)] utility has been updated to correct the behavior of the `-F` flag by unlinking an existing directory before creating a symbolic link. http://svn.freebsd.org/viewvc/base?view=revision&revision=321092[(r321092)]

The https://www.FreeBSD.org/cgi/man.cgi?query=crontab&sektion=1&manpath=freebsd-release-ports[crontab(1)] utility has been updated to include a new flag, `-f`, which forces https://www.FreeBSD.org/cgi/man.cgi?query=crontab&sektion=5&manpath=freebsd-release-ports[crontab(5)] removal when `-r` is used non-interactively. http://svn.freebsd.org/viewvc/base?view=revision&revision=321241[(r321241)]

The https://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&sektion=8&manpath=freebsd-release-ports[newsyslog(8)] utility has been updated to support RFC5424-compliant messages when rotating system logs. http://svn.freebsd.org/viewvc/base?view=revision&revision=321262[(r321262)]

The https://www.FreeBSD.org/cgi/man.cgi?query=sesutil&sektion=8&manpath=freebsd-release-ports[sesutil(8)] utility has been updated to include https://www.FreeBSD.org/cgi/man.cgi?query=libxo&sektion=3&manpath=freebsd-release-ports[libxo(3)] support in output. http://svn.freebsd.org/viewvc/base?view=revision&revision=321287[(r321287)] [.contrib]#(Sponsored by Gandi.net)#

The https://www.FreeBSD.org/cgi/man.cgi?query=diskinfo&sektion=8&manpath=freebsd-release-ports[diskinfo(8)] utility has been updated to include two new flags, `-s` which displays the disk identity (usually the serial number), and `-p` which displays the physical path to the disk in a storage controller. The `-s` and `-p` flags are mutually exclusive, and cannot be used with any other flags. http://svn.freebsd.org/viewvc/base?view=revision&revision=321927[(r321927)]

The https://www.FreeBSD.org/cgi/man.cgi?query=diskinfo&sektion=8&manpath=freebsd-release-ports[diskinfo(8)] utility has also been updated to include device model when the `-s` flag is used. http://svn.freebsd.org/viewvc/base?view=revision&revision=321929[(r321929)]

The https://www.FreeBSD.org/cgi/man.cgi?query=top&sektion=1&manpath=freebsd-release-ports[top(1)] utility has been updated to allow filtering on multiple user names when the `-U` flag is used. http://svn.freebsd.org/viewvc/base?view=revision&revision=322509[(r322509)]

The https://www.FreeBSD.org/cgi/man.cgi?query=bsdgrep&sektion=1&manpath=freebsd-release-ports[bsdgrep(1)] utility has been updated to include a `rgrep` hard link to https://www.FreeBSD.org/cgi/man.cgi?query=grep&sektion=1&manpath=freebsd-release-ports[grep(1)], which when used is equivalent to `grep -r`. http://svn.freebsd.org/viewvc/base?view=revision&revision=322525[(r322525)]

The https://www.FreeBSD.org/cgi/man.cgi?query=bsdgrep&sektion=1&manpath=freebsd-release-ports[bsdgrep(1)] utility has been updated to address various issues with pattern matching behavior. http://svn.freebsd.org/viewvc/base?view=revision&revision=322555[(r322555)]

The https://www.FreeBSD.org/cgi/man.cgi?query=umount&sektion=8&manpath=freebsd-release-ports[umount(8)] utility has been updated to include a new flag, `-N`, which is used to forcefully unmount an NFS mounted filesystem. http://svn.freebsd.org/viewvc/base?view=revision&revision=322910[(r322910)]

The https://www.FreeBSD.org/cgi/man.cgi?query=pw&sektion=8&manpath=freebsd-release-ports[pw(8)] utility has been updated to properly handle empty secondary group lists as an argument to the `-G` flag when using the `usermod` subcommand. http://svn.freebsd.org/viewvc/base?view=revision&revision=322919[(r322919)]

The https://www.FreeBSD.org/cgi/man.cgi?query=getconf&sektion=1&manpath=freebsd-release-ports[getconf(1)] utility has been updated to include a new flag, `-a`, which prints the name and value of all system or path configuration values to https://www.FreeBSD.org/cgi/man.cgi?query=stdout&sektion=4&manpath=freebsd-release-ports[stdout(4)] or optionally a file as an argument to `-a`. http://svn.freebsd.org/viewvc/base?view=revision&revision=324124[(r324124)] [.contrib]#(Sponsored by Chelsio Communications)#

The https://www.FreeBSD.org/cgi/man.cgi?query=ps&sektion=1&manpath=freebsd-release-ports[ps(1)] utility has been updated to reflect realtime and idle priorities in state flags. http://svn.freebsd.org/viewvc/base?view=revision&revision=324270[(r324270)]

The https://www.FreeBSD.org/cgi/man.cgi?query=ps&sektion=1&manpath=freebsd-release-ports[ps(1)] utility has been updated to display if a process is running with https://www.FreeBSD.org/cgi/man.cgi?query=capsicum&sektion=4&manpath=freebsd-release-ports[capsicum(4)] capability mode, indicated by `C`. http://svn.freebsd.org/viewvc/base?view=revision&revision=324271[(r324271)]

The https://www.FreeBSD.org/cgi/man.cgi?query=cpucontrol&sektion=8&manpath=freebsd-release-ports[cpucontrol(8)] utility has been updated to include a new flag, `-n`, that disables the default microcode update search path when used. http://svn.freebsd.org/viewvc/base?view=revision&revision=324380[(r324380)]

The https://www.FreeBSD.org/cgi/man.cgi?query=fsck_ffs&sektion=8&manpath=freebsd-release-ports[fsck_ffs(8)] utility has been updated to prevent a filesystem from being reported as modified when only the timestamp in the superblock is updated. http://svn.freebsd.org/viewvc/base?view=revision&revision=324674[(r324674)]

The https://www.FreeBSD.org/cgi/man.cgi?query=diskinfo&sektion=8&manpath=freebsd-release-ports[diskinfo(8)] utility has been updated to display disk rotation rate and if TRIM/UNMAP is supported by the disk. http://svn.freebsd.org/viewvc/base?view=revision&revision=325003[(r325003)] [.contrib]#(Sponsored by Spectra Logic)#

The https://www.FreeBSD.org/cgi/man.cgi?query=rsh&sektion=1&manpath=freebsd-release-ports[rsh(1)] utility has been updated to include a new flag, `-N`, which disables shutdown of a socket sending path when used. http://svn.freebsd.org/viewvc/base?view=revision&revision=325473[(r325473)]

The https://www.FreeBSD.org/cgi/man.cgi?query=pfctl&sektion=8&manpath=freebsd-release-ports[pfctl(8)] utility has been updated to allow `route-to` to properly handle network interfaces with multiple IP addresses. http://svn.freebsd.org/viewvc/base?view=revision&revision=326413[(r326413)]

The https://www.FreeBSD.org/cgi/man.cgi?query=camcontrol&sektion=8&manpath=freebsd-release-ports[camcontrol(8)] utility has been updated to include ZAC (Zoned-device ATA command set) information when the `identify` subcommand is used. http://svn.freebsd.org/viewvc/base?view=revision&revision=326778[(r326778)] [.contrib]#(Sponsored by Spectra Logic)#

The https://www.FreeBSD.org/cgi/man.cgi?query=pw&sektion=8&manpath=freebsd-release-ports[pw(8)] utility has been updated to correct handling of account expiration periods. http://svn.freebsd.org/viewvc/base?view=revision&revision=326848[(r326848)]

The https://www.FreeBSD.org/cgi/man.cgi?query=mdmfs&sektion=8&manpath=freebsd-release-ports[mdmfs(8)] utility has been updated to support https://www.FreeBSD.org/cgi/man.cgi?query=tmpfs&sektion=5&manpath=freebsd-release-ports[tmpfs(5)]. http://svn.freebsd.org/viewvc/base?view=revision&revision=327592[(r327592)]

The https://www.FreeBSD.org/cgi/man.cgi?query=lint&sektion=1&manpath=freebsd-release-ports[lint(1)] utility is not longer built by default. The `WITH_LINT` https://www.FreeBSD.org/cgi/man.cgi?query=src.conf&sektion=5&manpath=freebsd-release-ports[src.conf(5)] option has been added to enable building and installing the utility. http://svn.freebsd.org/viewvc/base?view=revision&revision=327837[(r327837)]

The https://www.FreeBSD.org/cgi/man.cgi?query=cpucontrol&sektion=8&manpath=freebsd-release-ports[cpucontrol(8)] utility has been updated to include a new flag, `-e`, which is used to re-evaluate reported CPU features after applying firmware updates. http://svn.freebsd.org/viewvc/base?view=revision&revision=327871[(r327871)]

[.note]
*Note*:
The https://www.FreeBSD.org/cgi/man.cgi?query=cpucontrol&sektion=8&manpath=freebsd-release-ports[cpucontrol(8)] `-e` flag should only be used after microcode update have been applied to all CPUs in the system, otherwise system instability may be experienced if processor features are not identical across the system.

The https://www.FreeBSD.org/cgi/man.cgi?query=indent&sektion=1&manpath=freebsd-release-ports[indent(1)] utility has been updated to respect the `SIMPLE_BACKUP_SUFFIX` environment variable if set. http://svn.freebsd.org/viewvc/base?view=revision&revision=328138[(r328138)]

The https://www.FreeBSD.org/cgi/man.cgi?query=du&sektion=1&manpath=freebsd-release-ports[du(1)] utility has been updated to include the `--si` long option, which is used to display output in "human-readable" output in powers of 1000. http://svn.freebsd.org/viewvc/base?view=revision&revision=328139[(r328139)]

The https://www.FreeBSD.org/cgi/man.cgi?query=df&sektion=1&manpath=freebsd-release-ports[df(1)] utility has been updated to include the `--si` long option, which is an alias to `-H`. http://svn.freebsd.org/viewvc/base?view=revision&revision=328140[(r328140)]

The https://www.FreeBSD.org/cgi/man.cgi?query=service&sektion=8&manpath=freebsd-release-ports[service(8)] utility has been updated to include a new flag, `-j`, which is used to interact with services running within a https://www.FreeBSD.org/cgi/man.cgi?query=jail&sektion=8&manpath=freebsd-release-ports[jail(8)]. The argument to `-j` can be either the name or numeric jail ID. http://svn.freebsd.org/viewvc/base?view=revision&revision=328599[(r328599)]

The https://www.FreeBSD.org/cgi/man.cgi?query=fsck_ffs&sektion=8&manpath=freebsd-release-ports[fsck_ffs(8)] utility has been updated to exit with a non-zero status when the filesystem is not repaired. http://svn.freebsd.org/viewvc/base?view=revision&revision=328604[(r328604)] [.contrib]#(Sponsored by Dell EMC)#

The https://www.FreeBSD.org/cgi/man.cgi?query=nvmecontrol&sektion=8&manpath=freebsd-release-ports[nvmecontrol(8)] utility has been updated to print the full 128 bit value for SMART data, instead of the hexadecimal value. http://svn.freebsd.org/viewvc/base?view=revision&revision=328668[(r328668)]

The https://www.FreeBSD.org/cgi/man.cgi?query=nvmecontrol&sektion=8&manpath=freebsd-release-ports[nvmecontrol(8)] utility has been updated to include control options for Western Digital  HGST drives. The new options are `cap-diag`, `get-crash-dump`, `drive-log`, `purge`, and `purge-monitor`. http://svn.freebsd.org/viewvc/base?view=revision&revision=328716[(r328716)]

The https://www.FreeBSD.org/cgi/man.cgi?query=dhclient&sektion=8&manpath=freebsd-release-ports[dhclient(8)] utility has been updated to be more compliant with RFC2131 by setting the source address field in the IP header to `0` when sending a `DHCPREQUEST` message to attempt to obtain a previously-assigned `IP` address. http://svn.freebsd.org/viewvc/base?view=revision&revision=330692[(r330692)] [.contrib]#(Sponsored by Dell EMC)#

The https://www.FreeBSD.org/cgi/man.cgi?query=pw&sektion=8&manpath=freebsd-release-ports[pw(8)] utility has been updated to allow the `@` and `!` characters in the GECOS field. http://svn.freebsd.org/viewvc/base?view=revision&revision=330694[(r330694)] [.contrib]#(Sponsored by Dell EMC)#

The https://www.FreeBSD.org/cgi/man.cgi?query=zfsd&sektion=8&manpath=freebsd-release-ports[zfsd(8)] utility has been updated to work with any type of GEOM provider, including https://www.FreeBSD.org/cgi/man.cgi?query=md&sektion=4&manpath=freebsd-release-ports[md(4)], https://www.FreeBSD.org/cgi/man.cgi?query=geli&sektion=8&manpath=freebsd-release-ports[geli(8)], https://www.FreeBSD.org/cgi/man.cgi?query=glabel&sektion=8&manpath=freebsd-release-ports[glabel(8)], and https://www.FreeBSD.org/cgi/man.cgi?query=gstripe&sektion=8&manpath=freebsd-release-ports[gstripe(8)]. http://svn.freebsd.org/viewvc/base?view=revision&revision=330733[(r330733)] [.contrib]#(Sponsored by Spectra Logic)#

The https://www.FreeBSD.org/cgi/man.cgi?query=ps&sektion=1&manpath=freebsd-release-ports[ps(1)] utility has been updated to include a `jail` keyword, which when used will list the name of a https://www.FreeBSD.org/cgi/man.cgi?query=jail&sektion=8&manpath=freebsd-release-ports[jail(8)] instead of the numeric ID. http://svn.freebsd.org/viewvc/base?view=revision&revision=331471[(r331471)]

The https://www.FreeBSD.org/cgi/man.cgi?query=mlx5tool&sektion=8&manpath=freebsd-release-ports[mlx5tool(8)] utility has been added, which is used to manage Connect-X 4 and Connect-X 5 devices supported by https://www.FreeBSD.org/cgi/man.cgi?query=mlx5io&sektion=4&manpath=freebsd-release-ports[mlx5io(4)]. http://svn.freebsd.org/viewvc/base?view=revision&revision=331586[(r331586)] [.contrib]#(Sponsored by Mellanox Technologies)#

The https://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=freebsd-release-ports[sysctl(8)] utility has been updated to support setting an array of values to nodes. Prior to this change, https://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=freebsd-release-ports[sysctl(8)] could only set one value to a node that may return multiple values when queried. http://svn.freebsd.org/viewvc/base?view=revision&revision=331603[(r331603)] [.contrib]#(Sponsored by Chelsio Communications)#

The https://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&sektion=8&manpath=freebsd-release-ports[ifconfig(8)] utility has been updated to include a `random` option, which when used with the `ether` option, generates a random MAC address for an interface. http://svn.freebsd.org/viewvc/base?view=revision&revision=331729[(r331729)]

The https://www.FreeBSD.org/cgi/man.cgi?query=efibootmgr&sektion=8&manpath=freebsd-release-ports[efibootmgr(8)] utility has been added, which is used to manipulate the EFI boot manager. http://svn.freebsd.org/viewvc/base?view=revision&revision=332126[(r332126)] [.contrib]#(Sponsored by Netflix)#

The https://www.FreeBSD.org/cgi/man.cgi?query=etdump&sektion=1&manpath=freebsd-release-ports[etdump(1)] utility has been added, which is used to view El Torito boot catalog information. http://svn.freebsd.org/viewvc/base?view=revision&revision=332947[(r332947)]

The https://www.FreeBSD.org/cgi/man.cgi?query=mount&sektion=8&manpath=freebsd-release-ports[mount(8)] utility has been updated to allow fallback to mount media read-only if an attempt to mount write-protected media read-write fails. This behavior is disabled by default, and can be requested with the new `autoro` option. http://svn.freebsd.org/viewvc/base?view=revision&revision=322753[(r322753)]

The https://www.FreeBSD.org/cgi/man.cgi?query=makefs&sektion=8&manpath=freebsd-release-ports[makefs(8)] utility has been updated to default the block and fragment sizes to match that of https://www.FreeBSD.org/cgi/man.cgi?query=newfs&sektion=8&manpath=freebsd-release-ports[newfs(8)], 32K and 4K, respectively. http://svn.freebsd.org/viewvc/base?view=revision&revision=332460[(r332460)] [.contrib]#(Sponsored by The FreeBSD Foundation)#

The https://www.FreeBSD.org/cgi/man.cgi?query=pwd_mkdb&sektion=8&manpath=freebsd-release-ports[pwd_mkdb(8)] utility has been updated to emit a notice that legacy database support will be removed effective FreeBSD 12 when the `-l` flag is used. http://svn.freebsd.org/viewvc/base?view=revision&revision=332929[(r332929)] [.contrib]#(Sponsored by The FreeBSD Foundation)#

The https://www.FreeBSD.org/cgi/man.cgi?query=dhclient&sektion=8&manpath=freebsd-release-ports[dhclient(8)] utility has been updated to allow the `interface-mtu` option to be overridden with a `supersede` entry in https://www.FreeBSD.org/cgi/man.cgi?query=dhclient.conf&sektion=5&manpath=freebsd-release-ports[dhclient.conf(5)]. http://svn.freebsd.org/viewvc/base?view=revision&revision=334789[(r334789)]

[[userland-contrib]]
== Contributed Software

The https://www.FreeBSD.org/cgi/man.cgi?query=libarchive&sektion=3&manpath=freebsd-release-ports[libarchive(3)] library has been updated to version 3.3.2. http://svn.freebsd.org/viewvc/base?view=revision&revision=321303[(r321303)]

Subversion has been updated to version 1.9.7. http://svn.freebsd.org/viewvc/base?view=revision&revision=322442[(r322442)]

The https://www.FreeBSD.org/cgi/man.cgi?query=dtc&sektion=1&manpath=freebsd-release-ports[dtc(1)] utility has been updated to upstream commit 9ce35ff8. http://svn.freebsd.org/viewvc/base?view=revision&revision=328495[(r328495)]

The https://www.FreeBSD.org/cgi/man.cgi?query=file&sektion=1&manpath=freebsd-release-ports[file(1)] utility has been updated to version 5.32. http://svn.freebsd.org/viewvc/base?view=revision&revision=328874[(r328874)]

OpenSSH has been updated to version 7.5p1. http://svn.freebsd.org/viewvc/base?view=revision&revision=323136[(r323136)]

The https://www.FreeBSD.org/cgi/man.cgi?query=mandoc&sektion=1&manpath=freebsd-release-ports[mandoc(1)] utility has been updated to version 1.14.3. http://svn.freebsd.org/viewvc/base?view=revision&revision=324581[(r324581)]

The https://www.FreeBSD.org/cgi/man.cgi?query=tcpdump&sektion=1&manpath=freebsd-release-ports[tcpdump(1)] utility has been updated to version 4.9.2. http://svn.freebsd.org/viewvc/base?view=revision&revision=327234[(r327234)]

The NTP utilities have been updated to version 4.2.8p11. http://svn.freebsd.org/viewvc/base?view=revision&revision=330106[(r330106)]

The https://www.FreeBSD.org/cgi/man.cgi?query=less&sektion=1&manpath=freebsd-release-ports[less(1)] utility has been updated to upstream version v530. http://svn.freebsd.org/viewvc/base?view=revision&revision=330570[(r330570)]

The bmake utility has been updated to upstream version 20180222. http://svn.freebsd.org/viewvc/base?view=revision&revision=331246[(r331246)]

The BSD-licensed https://www.FreeBSD.org/cgi/man.cgi?query=diff&sektion=1&manpath=freebsd-release-ports[diff(1)] utility has been imported from OpenBSD, which is installed if `WITHOUT_GNU_DIFF` is set in https://www.FreeBSD.org/cgi/man.cgi?query=src.conf&sektion=5&manpath=freebsd-release-ports[src.conf(5)], and otherwise not installed by default. http://svn.freebsd.org/viewvc/base?view=revision&revision=331465[(r331465)]

OpenSSL has been updated to version 1.0.2o. http://svn.freebsd.org/viewvc/base?view=revision&revision=331638[(r331638)]

The clang, llvm, lld, lldb, and `compiler-rt` utilities as well as `libc++` have been updated to upstream version 6.0.0. http://svn.freebsd.org/viewvc/base?view=revision&revision=331838[(r331838)]

Timezone data files have been updated to version 2018e. http://svn.freebsd.org/viewvc/base?view=revision&revision=333312[(r333312)]

The https://www.FreeBSD.org/cgi/man.cgi?query=libxo&sektion=3&manpath=freebsd-release-ports[libxo(3)] library has been updated to version 0.9.0. http://svn.freebsd.org/viewvc/base?view=revision&revision=334458[(r334458)]

[userland-installer]]
== Installation and Configuration Tools

[arm64] The https://www.FreeBSD.org/cgi/man.cgi?query=bsdinstall&sektion=8&manpath=freebsd-release-ports[bsdinstall(8)] installer has been updated to default to UEFI-only boot. http://svn.freebsd.org/viewvc/base?view=revision&revision=322254[(r322254)] [.contrib]#(Sponsored by The FreeBSD Foundation)#

[[kernel]]
== Kernel

This section covers changes to kernel configurations, system tuning, and system control parameters that are not otherwise categorized.

[[kernel-general]]
== General Kernel Changes

The https://www.FreeBSD.org/cgi/man.cgi?query=linux&sektion=4&manpath=freebsd-release-ports[linux(4)] ABI compaibility layer has been updated to include support for `musl` consumers. http://svn.freebsd.org/viewvc/base?view=revision&revision=321007[(r321007)]

The https://www.FreeBSD.org/cgi/man.cgi?query=fdescfs&sektion=5&manpath=freebsd-release-ports[fdescfs(5)] filesystem has been updated to support [.trademark]##Linux## -specific https://www.FreeBSD.org/cgi/man.cgi?query=fd&sektion=4&manpath=freebsd-release-ports[fd(4)] `/dev/fd` and `/proc/self/fd` behavior. http://svn.freebsd.org/viewvc/base?view=revision&revision=322340[(r322340)]

Support for multiple realtime clocks has been added. http://svn.freebsd.org/viewvc/base?view=revision&revision=323447[(r323447)]

[[kernel-bugfix]]
== Kernel Bug Fixes

The https://www.FreeBSD.org/cgi/man.cgi?query=ng_iface&sektion=4&manpath=freebsd-release-ports[ng_iface(4)] driver has been updated to prevent a possible system crash. http://svn.freebsd.org/viewvc/base?view=revision&revision=324175[(r324175)]

The https://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=4&manpath=freebsd-release-ports[ipfw(4)] packet filter has been updated to identify layer-2 and layer-3 packets, fixing https://www.FreeBSD.org/cgi/man.cgi?query=dummynet&sektion=4&manpath=freebsd-release-ports[dummynet(4)] AQM packet marking. http://svn.freebsd.org/viewvc/base?view=revision&revision=325730[(r325730)]

An issue causing boot issues with Intel(R) Apollo Lake(TM) CPUs has been fixed. http://svn.freebsd.org/viewvc/base?view=revision&revision=333166[(r333166)]

[[kernel-config]]
== Kernel Configuration

The https://www.FreeBSD.org/cgi/man.cgi?query=watchdog&sektion=4&manpath=freebsd-release-ports[watchdog(4)] facility has been updated to make `SW_WATCHDOG` dynamic, enabling the software https://www.FreeBSD.org/cgi/man.cgi?query=watchdogd&sektion=8&manpath=freebsd-release-ports[watchdogd(8)] option whenever a hardware watchdog is not present. http://svn.freebsd.org/viewvc/base?view=revision&revision=327920[(r327920)]

[[kernel-sysctl]]
== System Tuning and Controls

The `p1003_1b.aio_listio_max` https://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=8&manpath=freebsd-release-ports[sysctl(8)] has been changed to a runtime-configurable tunable. http://svn.freebsd.org/viewvc/base?view=revision&revision=326322[(r326322)] [.contrib]#(Sponsored by Spectra Logic)#

[[drivers]]
== Devices and Drivers

This section covers changes and additions to devices and device drivers since 11.1-RELEASE.

[[drivers-device]]
== Device Drivers

The https://www.FreeBSD.org/cgi/man.cgi?query=cxgbe&sektion=4&manpath=freebsd-release-ports[cxgbe(4)] driver has been updated to firmware version 1.16.63.0 for T4, T5, and T6 network adapters. http://svn.freebsd.org/viewvc/base?view=revision&revision=330307[(r330307)] [.contrib]#(Sponsored by Chelsio Communications)#

The https://www.FreeBSD.org/cgi/man.cgi?query=ng_pppoe&sektion=4&manpath=freebsd-release-ports[ng_pppoe(4)] driver has been updated to add support for user-supplied `Host-Uniq` tags. http://svn.freebsd.org/viewvc/base?view=revision&revision=331058[(r331058)]

Support for the TAIO USB multi-protocol adapter (TUMPA) has been added. http://svn.freebsd.org/viewvc/base?view=revision&revision=331500[(r331500)]

The https://www.FreeBSD.org/cgi/man.cgi?query=mlx5io&sektion=4&manpath=freebsd-release-ports[mlx5io(4)] driver has been added, providing an interface to manage supported Connect-X 4 and Connect-X 5 network adapters. http://svn.freebsd.org/viewvc/base?view=revision&revision=331586[(r331586)] [.contrib]#(Sponsored by Mellanox Technologies)#

The https://www.FreeBSD.org/cgi/man.cgi?query=cm&sektion=4&manpath=freebsd-release-ports[cm(4)] and https://www.FreeBSD.org/cgi/man.cgi?query=fpa&sektion=4&manpath=freebsd-release-ports[fpa(4)] drivers have been marked as deprecated, and will be removed in FreeBSD 12. http://svn.freebsd.org/viewvc/base?view=revision&revision=331882[(r331882)] [.contrib]#(Sponsored by DARPA, AFRL)#

The https://www.FreeBSD.org/cgi/man.cgi?query=ocs_fc&sektion=4&manpath=freebsd-release-ports[ocs_fc(4)] driver has been added, supporting Emulex 16/8G FC GEN 5 HBAs LPe15004 and LPe160XX, and Emulex 32/16G FC GEN 6 HBAs LPe3100X and LPe3200X. http://svn.freebsd.org/viewvc/base?view=revision&revision=332040[(r332040)] [.contrib]#(Sponsored by Broadcom Limited)#

The https://www.FreeBSD.org/cgi/man.cgi?query=ixgb&sektion=4&manpath=freebsd-release-ports[ixgb(4)] driver has been marked as deprecated, and will be removed in FreeBSD 12. http://svn.freebsd.org/viewvc/base?view=revision&revision=333171[(r333171)]

The https://www.FreeBSD.org/cgi/man.cgi?query=ixl&sektion=4&manpath=freebsd-release-ports[ixl(4)] driver has been updated to version 1.9.9-k. http://svn.freebsd.org/viewvc/base?view=revision&revision=333343[(r333343)] [.contrib]#(Sponsored by Intel Corporation)#

The https://www.FreeBSD.org/cgi/man.cgi?query=nxge&sektion=4&manpath=freebsd-release-ports[nxge(4)] driver has been marked as deprecated, and will be removed in FreeBSD 12. http://svn.freebsd.org/viewvc/base?view=revision&revision=333367[(r333367)]

The https://www.FreeBSD.org/cgi/man.cgi?query=lmc&sektion=4&manpath=freebsd-release-ports[lmc(4)] driver has been marked as deprecated, and will be removed in FreeBSD 12. http://svn.freebsd.org/viewvc/base?view=revision&revision=333412[(r333412)] [.contrib]#(Sponsored by The FreeBSD Foundation)#

The https://www.FreeBSD.org/cgi/man.cgi?query=smartpqi&sektion=4&manpath=freebsd-release-ports[smartpqi(4)] driver has been added, providing support for Microsemi  SCSI controllers. http://svn.freebsd.org/viewvc/base?view=revision&revision=333417[(r333417)]

The https://www.FreeBSD.org/cgi/man.cgi?query=vxge&sektion=4&manpath=freebsd-release-ports[vxge(4)] driver has been marked as deprecated, and will be removed in FreeBSD 12. http://svn.freebsd.org/viewvc/base?view=revision&revision=333738[(r333738)]

[[hardware]]
== Hardware Support

This section covers general hardware support for physical machines, hypervisors, and virtualization environments, as well as hardware changes and updates that do not otherwise fit in other sections of this document.

[[hardware-virtualization]]
== Virtualization Support

Support for https://www.FreeBSD.org/cgi/man.cgi?query=virtio_console&sektion=4&manpath=freebsd-release-ports[virtio_console(4)] has been added to https://www.FreeBSD.org/cgi/man.cgi?query=bhyve&sektion=4&manpath=freebsd-release-ports[bhyve(4)]. http://svn.freebsd.org/viewvc/base?view=revision&revision=321413[(r321413)]

[[storage]]
== Storage

This section covers changes and additions to file systems and other storage subsystems, both local and networked.

[[storage-geom]]
== `geom(4)`

The `geom_aes`, `geom_bsd`, `geom_mbr`, `geom_sunlabel` https://www.FreeBSD.org/cgi/man.cgi?query=geom&sektion=4&manpath=freebsd-release-ports[geom(4)] classes have been marked as deprecated. They have been replaced by the `geom_part` class in FreeBSD 7, and removed from the `GENERIC` kernel configurations in FreeBSD 8, and will be removed in FreeBSD 12. http://svn.freebsd.org/viewvc/base?view=revision&revision=332519[(r332519)]

[[boot]]
== Boot Loader Changes

This section covers the boot loader, boot menu, and other boot-related changes.

[[boot-loader]]
== Boot Loader Changes

The boot code and https://www.FreeBSD.org/cgi/man.cgi?query=loader&sektion=8&manpath=freebsd-release-ports[loader(8)] have been updated to check for unsupported ZFS feature flags. If unsupported features are active, the pool is not considered as a bootable pool, and a diagnostic message is printed to the console. http://svn.freebsd.org/viewvc/base?view=revision&revision=321519[(r321519)]

The https://www.FreeBSD.org/cgi/man.cgi?query=loader&sektion=8&manpath=freebsd-release-ports[loader(8)] has been updated to improve quotation parsing, distinguishing between single- and double-quotes, and check for terminating quotes. http://svn.freebsd.org/viewvc/base?view=revision&revision=329010[(r329010)]

The length of GELI passphrases entered when booting a system with encrypted disks is now hidden by default. See the configuration options in https://www.FreeBSD.org/cgi/man.cgi?query=geli&sektion=8&manpath=freebsd-release-ports[geli(8)] to restore the previous behavior. http://svn.freebsd.org/viewvc/base?view=revision&revision=329114[(r329114)]

[[network]]
== Networking

This section describes changes that affect networking in FreeBSD.

[[network-general]]
== General Network Changes

The https://www.FreeBSD.org/cgi/man.cgi?query=icmp6&sektion=4&manpath=freebsd-release-ports[icmp6(4)] protocol has been updated to fix ICMPv6 redirects. http://svn.freebsd.org/viewvc/base?view=revision&revision=329581[(r329581)] [.contrib]#(Sponsored by Dell EMC)#

[[ports]]
== Ports Collection and Package Infrastructure

This section covers changes to the FreeBSD Ports Collection, package infrastructure, and package maintenance and installation tools.

[[ports-packages]]
== Packaging Changes

The https://www.FreeBSD.org/cgi/man.cgi?query=pkg&sektion=8&manpath=freebsd-release-ports[pkg(8)] utility has been updated to version 1.10.5.

[[releng]]
== Release Engineering and Integration

This section convers changes that are specific to the FreeBSD Release Engineering processes.

[[releng-changes]]
== Integration Changes

Amazon  EC2(TM) instances now keep their clocks synchronized using the Amazon Time Sync Service, the NTP service internal to the EC2(TM) infrastructure. http://svn.freebsd.org/viewvc/base?view=revision&revision=326892[(r326892)]

The i386 memory stick image installers have been changed to use the MBR partitioning scheme, which addresses a boot issue from a GPT partition scheme in non-UEFI mode. http://svn.freebsd.org/viewvc/base?view=revision&revision=333410[(r333410)] [.contrib]#(Sponsored by The FreeBSD Foundation)#

The amd64 memory stick image installers have been changed to use the MBR partitioning scheme, which addresses a boot issue from a GPT partition scheme in non-UEFI mode. http://svn.freebsd.org/viewvc/base?view=revision&revision=334444[(r334444)] [.contrib]#(Sponsored by The FreeBSD Foundation)#

